Change a test's controls
curl --request PATCH \
--url https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 1,
"critical": true,
"assignee": "<string>"
}
'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control"
payload = {
"version": 1,
"critical": True,
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1, critical: true, assignee: '<string>'})
};
fetch('https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'version' => 1,
'critical' => true,
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control"
payload := strings.NewReader("{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"testId": "<string>",
"logicalId": "<string>",
"ownerUserId": "<string>",
"critical": true,
"criticalSetBy": "<string>",
"criticalSetAt": "2023-11-07T05:31:56Z",
"watching": true,
"activeQuarantineId": "<string>",
"activeQuarantine": {
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
},
"version": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Change a test's controls
Mark or unmark a test critical (owner or admin only), or set or remove its assignee. Requires a writer-role PAT.
PATCH
/
{projectId}
/
tests
/
{testId}
/
control
Change a test's controls
curl --request PATCH \
--url https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 1,
"critical": true,
"assignee": "<string>"
}
'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control"
payload = {
"version": 1,
"critical": True,
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1, critical: true, assignee: '<string>'})
};
fetch('https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'version' => 1,
'critical' => true,
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control"
payload := strings.NewReader("{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/tests/{testId}/control")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 1,\n \"critical\": true,\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"testId": "<string>",
"logicalId": "<string>",
"ownerUserId": "<string>",
"critical": true,
"criticalSetBy": "<string>",
"criticalSetAt": "2023-11-07T05:31:56Z",
"watching": true,
"activeQuarantineId": "<string>",
"activeQuarantine": {
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
},
"version": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Authorizations
User PAT (td_pat_) scoped to the target project
Path Parameters
The project identifier (e.g. project_abc123). Must match the project associated with your PAT.
Maximum string length:
128Body
application/json
Last modified on November 4, 2026
Was this page helpful?
⌘I